osgUI::Style Class Reference

`#include <Style>`

Inheritance diagram for osgUI::Style:

## Public Member Functions

| Style ()
| Style (const Style &style, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgUI, Style)
void | setBackgroundColor (const osg::Vec4 &color)
const osg::Vec4 & | getBackgroundColor () const
void | setTextColor (const osg::Vec4 &color)
const osg::Vec4 & | getTextColor () const
void | setDisabledTextColor (const osg::Vec4 &color)
const osg::Vec4 & | getDisabledTextColor () const
virtual osg::Node * | createDepthSetPanel (const osg::BoundingBox &extents)
virtual osg::Node * | createPanel (const osg::BoundingBox &extents, const osg::Vec4 &colour)
virtual osg::Node * | createFrame (const osg::BoundingBox &extents, const FrameSettings *frameSettings, const osg::Vec4 &colour)
virtual osg::Node * | createText (const osg::BoundingBox &extents, const AlignmentSettings *as, const TextSettings *textSettings, const std::string &text)
virtual osg::Node * | createIcon (const osg::BoundingBox &extents, const std::string &filename, const osg::Vec4 &colour)
virtual void | setupDialogStateSet (osg::StateSet *stateset, int binNum)
virtual void | setupPopupStateSet (osg::StateSet *stateset, int binNum)
virtual void | setupClipStateSet (const osg::BoundingBox &extents, osg::StateSet *stateset)
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Static Public Member Functions

static osg::ref_ptr< Style > & | instance ()
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Protected Member Functions

virtual | ~Style ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

osg::ref_ptr< osg::Depth > | _disabledDepthWrite
osg::ref_ptr< osg::Depth > | _enabledDepthWrite
osg::ref_ptr< osg::ColorMask > | _disableColorWriteMask
osg::ref_ptr< osg::Texture2D > | _clipTexture
osg::Vec4 | _backgroundColor
osg::Vec4 | _textColor
osg::Vec4 | _disabledTextColor
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Constructor & Destructor Documentation

## Style() [1/2]

osgUI::Style::Style | ( |  | ) |

Referenced by META_Object(), and Style().

## Style() [2/2]

osgUI::Style::Style | ( | const Style & | style,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

References osg::CopyOp::SHALLOW_COPY, and Style().

## ~Style()

virtual osgUI::Style::~Style | ( |  | ) |

inline protected virtual

## Member Function Documentation

## createDepthSetPanel()

virtual osg::Node * osgUI::Style::createDepthSetPanel | ( | const osg::BoundingBox & | extents | ) |

virtual

## createFrame()

virtual osg::Node * osgUI::Style::createFrame | ( | const osg::BoundingBox & | extents,
|  | const FrameSettings * | frameSettings,
|  | const osg::Vec4 & | colour )

virtual

## createIcon()

virtual osg::Node * osgUI::Style::createIcon | ( | const osg::BoundingBox & | extents,
|  | const std::string & | filename,
|  | const osg::Vec4 & | colour )

virtual

## createPanel()

virtual osg::Node * osgUI::Style::createPanel | ( | const osg::BoundingBox & | extents,
|  | const osg::Vec4 & | colour )

virtual

## createText()

virtual osg::Node * osgUI::Style::createText | ( | const osg::BoundingBox & | extents,
|  | const AlignmentSettings * | as,
|  | const TextSettings * | textSettings,
|  | const std::string & | text )

virtual

## getBackgroundColor()

const osg::Vec4 & osgUI::Style::getBackgroundColor | ( |  | ) | const

inline

References _backgroundColor.

## getDisabledTextColor()

const osg::Vec4 & osgUI::Style::getDisabledTextColor | ( |  | ) | const

inline

References _disabledTextColor.

## getTextColor()

const osg::Vec4 & osgUI::Style::getTextColor | ( |  | ) | const

inline

References _textColor.

## instance()

osg::ref_ptr< Style > & osgUI::Style::instance | ( |  | ) |

static

## META_Object()

osgUI::Style::META_Object | ( | osgUI | ,
|  | Style | )

References Style().

## setBackgroundColor()

void osgUI::Style::setBackgroundColor | ( | const osg::Vec4 & | color | ) |

inline

References _backgroundColor.

## setDisabledTextColor()

void osgUI::Style::setDisabledTextColor | ( | const osg::Vec4 & | color | ) |

inline

References _disabledTextColor.

## setTextColor()

void osgUI::Style::setTextColor | ( | const osg::Vec4 & | color | ) |

inline

References _textColor.

## setupClipStateSet()

virtual void osgUI::Style::setupClipStateSet | ( | const osg::BoundingBox & | extents,
|  | osg::StateSet * | stateset )

virtual

## setupDialogStateSet()

virtual void osgUI::Style::setupDialogStateSet | ( | osg::StateSet * | stateset,
|  | int | binNum )

virtual

## setupPopupStateSet()

virtual void osgUI::Style::setupPopupStateSet | ( | osg::StateSet * | stateset,
|  | int | binNum )

virtual

## Member Data Documentation

## _backgroundColor

osg::Vec4 osgUI::Style::_backgroundColor

protected

Referenced by getBackgroundColor(), and setBackgroundColor().

## _clipTexture

osg::ref_ptr<osg::Texture2D> osgUI::Style::_clipTexture

protected

## _disableColorWriteMask

osg::ref_ptr<osg::ColorMask> osgUI::Style::_disableColorWriteMask

protected

## _disabledDepthWrite

osg::ref_ptr<osg::Depth> osgUI::Style::_disabledDepthWrite

protected

## _disabledTextColor

osg::Vec4 osgUI::Style::_disabledTextColor

protected

Referenced by getDisabledTextColor(), and setDisabledTextColor().

## _enabledDepthWrite

osg::ref_ptr<osg::Depth> osgUI::Style::_enabledDepthWrite

protected

## _textColor

osg::Vec4 osgUI::Style::_textColor

protected

Referenced by getTextColor(), and setTextColor().

The documentation for this class was generated from the following file:

- osgUI/Style